Get Type By Id

Get Type By Id

Returns the Catalog Item Type with the specified ID.

Request
URI
GET
https://{api_host}/catalog/api/types/{id}
COPY
Path Parameters
string
id
Required

Catalog Type ID


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns CatalogItemType of type(s) application/json
{
    "baseUri": "string",
    "configSchema": {
        "$data": "string",
        "$dynamicDefault": "string",
        "$ref": "string",
        "additionalProperties": false,
        "allOf": [
            "JsonSchemaImpl Object"
        ],
        "anyOf": [
            "JsonSchemaImpl Object"
        ],
        "const": {},
        "default": {},
        "description": "string",
        "encrypted": false,
        "enum": [
            {}
        ],
        "format": "string",
        "formatMaximum": "string",
        "formatMinimum": "string",
        "items": "ObjectOrListJsonSchemaImpl Object",
        "maxItems": 0,
        "maxLength": 0,
        "maxProperties": 0,
        "maximum": "number",
        "minItems": 0,
        "minLength": 0,
        "minProperties": 0,
        "minimum": "number",
        "not": "JsonSchemaImpl Object",
        "oneOf": [
            "JsonSchemaImpl Object"
        ],
        "pattern": "string",
        "patternProperties": {
            "patternProperties": "JsonSchemaImpl Object"
        },
        "properties": {
            "properties": "JsonSchemaImpl Object"
        },
        "readOnly": false,
        "required": [
            "string"
        ],
        "title": "string",
        "type": "string",
        "uniqueItems": false,
        "writeOnly": false
    },
    "createdAt": "string",
    "createdBy": "string",
    "iconId": "string",
    "id": "string",
    "name": "string"
}
string
baseUri
Optional
Constraints: maxLength: 1024

Base callback URI for import operations

object
configSchema
Optional

Schema describing a policy object of this type

string As date-time As date-time
createdAt
Optional

Creation time

string
createdBy
Optional

Service that created this type

string As uuid As uuid
iconId
Optional

Default Icon Id

string
id
Optional

Human-readable unique ID containing only lowercase letters and periods, neither starting nor ending with a period, and never having two consecutive periods

string
name
Required
Constraints: maxLength: 1024

Unique Catalog Item Type name


401

Unauthorized

Returns CatalogItemType of type(s) application/json
"CatalogItemType Object"
string
baseUri
Optional
Constraints: maxLength: 1024

Base callback URI for import operations

object
configSchema
Optional

Schema describing a policy object of this type

string As date-time As date-time
createdAt
Optional

Creation time

string
createdBy
Optional

Service that created this type

string As uuid As uuid
iconId
Optional

Default Icon Id

string
id
Optional

Human-readable unique ID containing only lowercase letters and periods, neither starting nor ending with a period, and never having two consecutive periods

string
name
Required
Constraints: maxLength: 1024

Unique Catalog Item Type name


404

Not Found

Returns CatalogItemType of type(s) application/json
"CatalogItemType Object"
string
baseUri
Optional
Constraints: maxLength: 1024

Base callback URI for import operations

object
configSchema
Optional

Schema describing a policy object of this type

string As date-time As date-time
createdAt
Optional

Creation time

string
createdBy
Optional

Service that created this type

string As uuid As uuid
iconId
Optional

Default Icon Id

string
id
Optional

Human-readable unique ID containing only lowercase letters and periods, neither starting nor ending with a period, and never having two consecutive periods

string
name
Required
Constraints: maxLength: 1024

Unique Catalog Item Type name


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/catalog/api/types/{id}